#
# spec file for package yubikey-piv-manager
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define bname   pivman
Name:           yubikey-piv-manager
Version:        1.4.2
Release:        lp150.2.5
Summary:        YubiKey PIV Manager GUI
License:        GPL-3.0+
Group:          Productivity/Security
Url:            https://developers.yubico.com/yubikey-piv-manager/Releases
Source0:        https://developers.yubico.com/yubikey-piv-manager/Releases/%{name}-%{version}.tar.gz
Source1:        https://developers.yubico.com/yubikey-piv-manager/Releases/%{name}-%{version}.tar.gz.sig
BuildRequires:  pkg-config
BuildRequires:  python-nose
BuildRequires:  python-setuptools >= 0.6b3
BuildRequires:  update-desktop-files
BuildRequires:  pkgconfig(pyside)
BuildRequires:  pkgconfig(python) >= 2.6.6
BuildRequires:  pkgconfig(ykpiv)
Requires:       libykcs11-1
Requires:       libykpiv1
Requires:       python-pycrypto
Requires:       python-pyside
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Tool for configuring your PIV-enabled YubiKey.

%prep
%setup -q

%build
python setup.py qt_resources
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
mkdir -p %{buildroot}%{_datadir}/pixmaps
install -p -m 0644 resources/%{bname}.xpm %{buildroot}%{_datadir}/pixmaps/
mkdir -p %{buildroot}%{_mandir}/man1
install -p -m 0644 man/%{bname}.1 %{buildroot}%{_mandir}/man1/%{bname}.1
%suse_update_desktop_file -i %{bname} System Security

%files
%defattr(-,root,root)
%doc COPYING NEWS README
%{_mandir}/man1/*
%{_bindir}/%{bname}
%{python_sitelib}
%{_datadir}/applications/%{bname}.desktop
%{_datadir}/pixmaps/%{bname}.xpm

%changelog
* Sat Dec 30 2017 jengelh@inai.de
- Fix RPM group.
* Wed Nov 15 2017 t.gruner@katodev.de
- Version 1.4.2 (released 2017-04-19)
  - PIN, PUK, management key and certificate passwords are now passed to yubico-piv-tool using standard input instead of as CLI arguments. This prevents them from being logged by some operating system auditing tools.
* Thu Oct 13 2016 t.gruner@katodev.de
- Remove build requirement python-pyside-tools
* Wed Oct 12 2016 t.gruner@katodev.de
- Version 1.4.1 (released 2016-09-30)
  - Now displays a confirmation dialog box when overwriting certificate data in a slot (including in the macOS Sierra wizard).
  - On initialization, now shows a warning when the PIN or PUK has been changed in another tool.
  - It is now possible to close the initialization and the expired PIN dialog boxes without closing the application.
  - Bugfix: Connecting to a Certificate Authority should now work as expected (even over a network).
  - Bugfix: Layout in the initialization dialog box was not acting as expected when the radio buttons were clicked.
- Version 1.4.0 (released 2016-09-20)
  - New wizard for setting up a YubiKey for pairing with macOS Sierra, providing an easy way to generate certificates in the authentication and key management slots. After the YubiKey is paired, macOS Sierra will recognize the YubiKey and allow you to pair it with an account on macOS.
  - Improved appearance on Retina displays.
  - More specific error messages when trying to import a certificate that is too large.
  - Bugfix: Connecting to a Certificate Authority should now work again.
  - Removed touch policy that was erroneously added in the previous version.
* Wed Aug 31 2016 carlos@techbyte.ca
- Version 1.3.0 (released 2016-08-08)
  - Updated to be inline with yubico-piv-tool 1.4.2.
  - Allow generation of a authentication certificate when initialising a new YubiKey.
  - Set the CCC when initialising a new YubiKey.
  - Show an option for expiration date when generating new certificates.
  - Add support for importing PEM files that contains both a private key and a certificate.
  - Bugfix: Connecting to a Certificate Authority on a localised Windows environment should now work.
  - Add compability with Python 3.
* Wed Nov 18 2015 t.gruner@katodev.de
- Version 1.1.1 (released 2015-11-16)
  - Better handling of intermittent device disconnects.
* Thu Nov 12 2015 t.gruner@katodev.de
- Version 1.1.0 (released 2015-11-12)
  - Added support for ECC P-384 when supported by the device.
  - Added usage policy when supported by the device.
  - Update to libykpiv1.
- Version 1.0.2 (released 2015-05-18)
  - Fix bug preventing device from being found with multiple card readers attached.
  - Don’t save window position as it causes problems with multi-monitor setups.
* Tue Apr 28 2015 t.gruner@katodev.de
- Cleanup .spec file
* Thu Apr 16 2015 t.gruner@katodev.de
- Version 1.0.1 (released 2015-04-16)
  - Packaging improvements release, no new features.
  Version 1.0.0 (released 2015-04-14)
  - Initial version.
